<?php
namespace Loss\Glpairs\Wizards;
use Loss\Glpairs\Controller\PairsController;

/***************************************************************
 *  Copyright notice
*
*  (c) 2014 Gerald Loß
*  All rights reserved
*
*  This script is part of the TYPO3 project. The TYPO3 project is
*  free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 3 of the License, or
*  (at your option) any later version.
*
*  The GNU General Public License can be found at
*  http://www.gnu.org/copyleft/gpl.html.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

/**
 * Add the plugin to wizzard
 * @package glpairs
 */
class wizard {
	
	/**
	 * Processing the wizard items array
	 *
	 * @param	array $wizardItems The wizard items
	 * @return	Modified array with wizard items
	 */
	public function proc($wizardItems) {
		global $LANG;
		$LL = $this->includeLocalLang ();
		$wizardItems ['plugins_tx_glpairs_pi1'] = 
			array (	'icon' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath ( PairsController::c_strExtensionName ) . 'Resources/Public/Icons/tx_glpairs_domain_model_pairs.gif', 
					'title' => $LANG->getLLL ( 'pi1.wizzard.title', $LL ), 
					'description' => $LANG->getLLL ( 'pi1.wizzard.description', $LL ), 
					'params' => '&defVals[tt_content][CType]=list&defVals[tt_content][list_type]=glpairs_pi1' );
		return $wizardItems;
	}
	
	/**
	 * Reads the [extDir]/locallang.xml and returns the $LOCAL_LANG array found in that file.
	 *
	 * @return	The array with language labels
	 */
	private function includeLocalLang() {
		$llFile = \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extPath ( PairsController::c_strExtensionName ) . 'Resources/Private/Language/locallang_plugin_wizard.xlf';
		$LOCAL_LANG = \TYPO3\CMS\Core\Utility\GeneralUtility::readLLfile($llFile, $GLOBALS ['LANG']->lang);
		return $LOCAL_LANG;
	}
}