<?php

namespace Loss\Glpairs\Tests;
/***************************************************************
 *  Copyright notice
 *
 *  (c) 2014 
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * Test case for class \Loss\Glpairs\Domain\Model\Pair.
 *
 * @version $Id$
 * @copyright Copyright belongs to the respective authors
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 *
 * @package TYPO3
 * @subpackage Pairs
 *
 */
class PairTest extends \TYPO3\CMS\Extbase\Tests\Unit\BaseTestCase {
	/**
	 * @var \Loss\Glpairs\Domain\Model\Pair
	 */
	protected $fixture;

	public function setUp() {
		$this->fixture = new \Glpairs\Domain\Model\Pair();
	}

	public function tearDown() {
		unset($this->fixture);
	}

	/**
	 * @test
	 */
	public function getNameReturnsInitialValueForString() { }

	/**
	 * @test
	 */
	public function setNameForStringSetsName() { 
		$this->fixture->setName('Conceived at T3CON10');

		$this->assertSame(
			'Conceived at T3CON10',
			$this->fixture->getName()
		);
	}
	
	/**
	 * @test
	 */
	public function getImage1ReturnsInitialValueForString() { }

	/**
	 * @test
	 */
	public function setImage1ForStringSetsImage1() { 
		$this->fixture->setImage1('Conceived at T3CON10');

		$this->assertSame(
			'Conceived at T3CON10',
			$this->fixture->getImage1()
		);
	}
	
	/**
	 * @test
	 */
	public function getHeight1ReturnsInitialValueForInteger() { 
		$this->assertSame(
			0,
			$this->fixture->getHeight1()
		);
	}

	/**
	 * @test
	 */
	public function setHeight1ForIntegerSetsHeight1() { 
		$this->fixture->setHeight1(12);

		$this->assertSame(
			12,
			$this->fixture->getHeight1()
		);
	}
	
	/**
	 * @test
	 */
	public function getWidth1ReturnsInitialValueForInteger() { 
		$this->assertSame(
			0,
			$this->fixture->getWidth1()
		);
	}

	/**
	 * @test
	 */
	public function setWidth1ForIntegerSetsWidth1() { 
		$this->fixture->setWidth1(12);

		$this->assertSame(
			12,
			$this->fixture->getWidth1()
		);
	}
	
	/**
	 * @test
	 */
	public function getImage2ReturnsInitialValueForString() { }

	/**
	 * @test
	 */
	public function setImage2ForStringSetsImage2() { 
		$this->fixture->setImage2('Conceived at T3CON10');

		$this->assertSame(
			'Conceived at T3CON10',
			$this->fixture->getImage2()
		);
	}
	
	/**
	 * @test
	 */
	public function getHeight2ReturnsInitialValueForInteger() { 
		$this->assertSame(
			0,
			$this->fixture->getHeight2()
		);
	}

	/**
	 * @test
	 */
	public function setHeight2ForIntegerSetsHeight2() { 
		$this->fixture->setHeight2(12);

		$this->assertSame(
			12,
			$this->fixture->getHeight2()
		);
	}
	
	/**
	 * @test
	 */
	public function getWidth2ReturnsInitialValueForInteger() { 
		$this->assertSame(
			0,
			$this->fixture->getWidth2()
		);
	}

	/**
	 * @test
	 */
	public function setWidth2ForIntegerSetsWidth2() { 
		$this->fixture->setWidth1(12);

		$this->assertSame(
			12,
			$this->fixture->getWidth2()
		);
	}
		
	/**
	 * @test
	 */
	public function getDescriptionReturnsInitialValueForString() { }

	/**
	 * @test
	 */
	public function setDescriptionForStringSetsDescription() { 
		$this->fixture->setDescription('Conceived at T3CON10');

		$this->assertSame(
			'Conceived at T3CON10',
			$this->fixture->getDescription()
		);
	}
	
}
?>