<?php

namespace Loss\Glpairs\Tests;
/***************************************************************
 *  Copyright notice
 *
 *  (c) 2014 
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * Test case for class \Loss\Glpairs\Domain\Model\Pairs.
 *
 * @version $Id$
 * @copyright Copyright belongs to the respective authors
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 *
 * @package TYPO3
 * @subpackage Pairs
 *
 */
class PairsTest extends \TYPO3\CMS\Extbase\Tests\Unit\BaseTestCase {
	/**
	 * @var \Loss\Glpairs\Domain\Model\Pairs
	 */
	protected $fixture;

	public function setUp() {
		$this->fixture = new \Loss\Glpairs\Domain\Model\Pairs();
	}

	public function tearDown() {
		unset($this->fixture);
	}

	/**
	 * @test
	 */
	public function getNameReturnsInitialValueForString() { }

	/**
	 * @test
	 */
	public function setNameForStringSetsName() { 
		$this->fixture->setName('Conceived at T3CON10');

		$this->assertSame(
			'Conceived at T3CON10',
			$this->fixture->getName()
		);
	}
	
	/**
	 * @test
	 */
	public function getTypeReturnsInitialValueForInteger() { 
		$this->assertSame(
			0,
			$this->fixture->getType()
		);
	}

	/**
	 * @test
	 */
	public function setTypeForIntegerSetsType() { 
		$this->fixture->setType(12);

		$this->assertSame(
			12,
			$this->fixture->getType()
		);
	}
	
	/**
	 * @test
	 */
	public function getWidthReturnsInitialValueForInteger() { 
		$this->assertSame(
			0,
			$this->fixture->getWidth()
		);
	}

	/**
	 * @test
	 */
	public function setWidthForIntegerSetsWidth() { 
		$this->fixture->setWidth(12);

		$this->assertSame(
			12,
			$this->fixture->getWidth()
		);
	}
	
	/**
	 * @test
	 */
	public function getHasPairsReturnsInitialValueForPair() { 
		$newObjectStorage = new \TYPO3\CMS\Extbase\Persistence\Generic\ObjectStorage();
		$this->assertEquals(
			$newObjectStorage,
			$this->fixture->getHasPairs()
		);
	}

	/**
	 * @test
	 */
	public function setHasPairsForObjectStorageContainingPairSetsHasPairs() { 
		$hasPair = new \Loss\Glpairs\Domain\Model\Pair();
		$objectStorageHoldingExactlyOneHasPairs = new \TYPO3\CMS\Extbase\Persistence\Generic\ObjectStorage();
		$objectStorageHoldingExactlyOneHasPairs->attach($hasPair);
		$this->fixture->setHasPairs($objectStorageHoldingExactlyOneHasPairs);

		$this->assertSame(
			$objectStorageHoldingExactlyOneHasPairs,
			$this->fixture->getHasPairs()
		);
	}
	
	/**
	 * @test
	 */
	public function addHasPairToObjectStorageHoldingHasPairs() {
		$hasPair = new \Loss\Glpairs\Domain\Model\Pair();
		$objectStorageHoldingExactlyOneHasPair = new \TYPO3\CMS\Extbase\Persistence\Generic\ObjectStorage();
		$objectStorageHoldingExactlyOneHasPair->attach($hasPair);
		$this->fixture->addHasPair($hasPair);

		$this->assertEquals(
			$objectStorageHoldingExactlyOneHasPair,
			$this->fixture->getHasPairs()
		);
	}

	/**
	 * @test
	 */
	public function removeHasPairFromObjectStorageHoldingHasPairs() {
		$hasPair = new \Loss\Glpairs\Domain\Model\Pair();
		$localObjectStorage = new \TYPO3\CMS\Extbase\Persistence\Generic\ObjectStorage();
		$localObjectStorage->attach($hasPair);
		$localObjectStorage->detach($hasPair);
		$this->fixture->addHasPair($hasPair);
		$this->fixture->removeHasPair($hasPair);

		$this->assertEquals(
			$localObjectStorage,
			$this->fixture->getHasPairs()
		);
	}
	
}
?>